diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/DeleteMediaHandler.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/DeleteMediaHandler.java
index 9dcbe2a2e..004301665 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/DeleteMediaHandler.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/DeleteMediaHandler.java
@@ -23,6 +23,7 @@ import eu.etaxonomy.cdm.model.media.ImageFile;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.taxeditor.editor.EditorUtil;
 import eu.etaxonomy.taxeditor.editor.TaxonEditorInput;
+import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.operation.AbstractPostOperation;
 import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
 import eu.etaxonomy.taxeditor.ui.dialog.configurator.deleteConfigurator.DeleteConfiguratorDialog;
@@ -71,7 +72,7 @@ public class DeleteMediaHandler extends AbstractHandler {
                 MediaDeletionConfigurator config = new MediaDeletionConfigurator();
 
                 DeleteConfiguratorDialog dialog;
-                dialog = new DeleteConfiguratorDialog(config, HandlerUtil.getActiveShell(event), "Confirm Deletion",  null,  "Do you really want to delete the media?", MessageDialog.WARNING, new String[] { "Delete", "Skip" }, 0);
+                dialog = new DeleteConfiguratorDialog(config, HandlerUtil.getActiveShell(event), Messages.DeleteMediaHandler_CONFIRM,  null,  Messages.DeleteMediaHandler_CONFIRM_MESSAGE, MessageDialog.WARNING, new String[] { Messages.DeleteMediaHandler_DELETE, Messages.DeleteMediaHandler_SKIP }, 0);
                 int result_dialog= dialog.open();
                 if (result_dialog != Status.OK){
                     return null;
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/MoveImageDownInListHandler.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/MoveImageDownInListHandler.java
index d822f9a94..a473d8deb 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/MoveImageDownInListHandler.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/MoveImageDownInListHandler.java
@@ -75,7 +75,7 @@ public class MoveImageDownInListHandler extends AbstractHandler {
 							EditorUtil.getUndoContext(), taxon, description, media, MoveMediaInListOperation.DOWN, postOperationEnabled);
 					EditorUtil.executeOperation(operation);
 				} catch (NotDefinedException e) {
-					MessagingUtils.warn(getClass(), "Command name not set.");
+					MessagingUtils.warn(getClass(), "Command name not set."); //$NON-NLS-1$
 				}
 			}
 		} 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/MoveImageUpInListHandler.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/MoveImageUpInListHandler.java
index 6fbd6be1d..ea525d205 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/MoveImageUpInListHandler.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/handler/MoveImageUpInListHandler.java
@@ -74,7 +74,7 @@ public class MoveImageUpInListHandler extends AbstractHandler {
 							EditorUtil.getUndoContext(), taxon, element, media, MoveMediaInListOperation.UP, postOperationEnabled);
 					EditorUtil.executeOperation(operation);
 				} catch (NotDefinedException e) {
-					MessagingUtils.warn(getClass(), "Command name not set.");
+					MessagingUtils.warn(getClass(), "Command name not set."); //$NON-NLS-1$
 				}
 			}
 		} 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/operation/MoveMediaInListOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/operation/MoveMediaInListOperation.java
index 1b02b432c..d2dffa56d 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/operation/MoveMediaInListOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/operation/MoveMediaInListOperation.java
@@ -23,6 +23,7 @@ import eu.etaxonomy.cdm.model.description.DescriptionBase;
 import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
 import eu.etaxonomy.cdm.model.media.Media;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
+import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.model.MessagingUtils;
 import eu.etaxonomy.taxeditor.operation.AbstractPostTaxonOperation;
 import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
@@ -107,7 +108,7 @@ public class MoveMediaInListOperation extends AbstractPostTaxonOperation {
 		Set<DescriptionElementBase> elements = description.getElements();
 		
 		if(elements.size() != 1){
-			MessagingUtils.error(this.getClass(), "More than one description element in this image gallery", null);
+			MessagingUtils.error(this.getClass(), Messages.MoveMediaInListOperation_MORE_DESC, null);
 		}
 		
 		DescriptionElementBase element = elements.iterator().next();
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/UsesLabelProvider.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/UsesLabelProvider.java
index 795faa16e..d0d1ccb85 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/UsesLabelProvider.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/UsesLabelProvider.java
@@ -1,8 +1,8 @@
 /**
 * Copyright (C) 2011 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -22,30 +22,36 @@ import eu.etaxonomy.cdm.model.description.CategoricalData;
 import eu.etaxonomy.cdm.model.description.DescriptionBase;
 import eu.etaxonomy.cdm.model.description.StateData;
 import eu.etaxonomy.cdm.model.description.TextData;
+import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.model.FeatureNodeContainer;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 import eu.etaxonomy.taxeditor.store.UsageTermCollection;
 
 /**
  * UsesLabelProvider Class
- * @author a.theys	
+ * @author a.theys
  * @created mar 13, 2012
  * @version 1.0
  */
 public class UsesLabelProvider extends ColumnLabelProvider implements
 		IStyledLabelProvider {
-	
-	/** {@inheritDoc} */
-	public String getText(Object element) {
-		String text = "";
+
+    private static final String USE = Messages.UsesLabelProvider_USE;
+    private static final String NO_DATA_PROVIDED = Messages.UsesLabelProvider_NO_DATA;
+    private static final String SEMICOLON = ";"; //$NON-NLS-1$
+
+    /** {@inheritDoc} */
+	@Override
+    public String getText(Object element) {
+		String text = ""; //$NON-NLS-1$
 
 		if (element instanceof DescriptionBase) {
 			text = ((DescriptionBase) element).getTitleCache();
 			if (text == null || text.length() == 0) {
-				text = "Use: No label provided";
+				text = USE+Messages.UsesLabelProvider_NO_LABEL;
 			}
 			else {
-				text = "Use: " + text;
+				text = USE + text;
 			}
 		}
 		else if (element instanceof CategoricalData) {
@@ -53,104 +59,104 @@ public class UsesLabelProvider extends ColumnLabelProvider implements
 				boolean isUseCategoryAbsent = true;
 				for (StateData statedata : ((CategoricalData) element).getStateData()) {
 					if(statedata.getState() != null && statedata.getModifyingText().get(CdmStore.getDefaultLanguage()) !=null && statedata.getModifyingText().get(CdmStore.getDefaultLanguage()).getText().equals(UsageTermCollection.useCategoryVocabularyLabel)) {
-						text = text + statedata.getState().getTitleCache() + ";";
+						text = text + statedata.getState().getTitleCache() + SEMICOLON;
 						isUseCategoryAbsent = false;
 					}
 				}
 				if(isUseCategoryAbsent) {
-					text = text + UsageTermCollection.notAvailableLabel + ";";
+					text = text + UsageTermCollection.notAvailableLabel + SEMICOLON;
 				}
-				
+
 				boolean isUseSubCategoryAbsent = true;
 				for (StateData statedata : ((CategoricalData) element).getStateData()) {
 					if(statedata.getState() != null && statedata.getModifyingText().get(CdmStore.getDefaultLanguage()) !=null && statedata.getModifyingText().get(CdmStore.getDefaultLanguage()).getText().equals(UsageTermCollection.useSubCategoryVocabularyLabel)) {
-						text = text + statedata.getState().getTitleCache() + ";";
+						text = text + statedata.getState().getTitleCache() + SEMICOLON;
 						isUseSubCategoryAbsent = false;
 					}
 				}
 				if(isUseSubCategoryAbsent) {
-					text = text + UsageTermCollection.notAvailableLabel + ";";
+					text = text + UsageTermCollection.notAvailableLabel + SEMICOLON;
 				}
 			}
 			else {
-				text = text + UsageTermCollection.notAvailableLabel + ";" + UsageTermCollection.notAvailableLabel + ";";
+				text = text + UsageTermCollection.notAvailableLabel + SEMICOLON + UsageTermCollection.notAvailableLabel + SEMICOLON;
 			}
 			if (!((CategoricalData) element).getModifiers().isEmpty()) {
 				for (DefinedTerm modifier: ((CategoricalData) element).getModifiers()){
 					modifier.getPartOf();
 					modifier.getVocabulary();
 				}
-				
+
 				boolean isPlantPartAbsent = true;
 				for (DefinedTerm modifier: ((CategoricalData) element).getModifiers()){
 					if(GetVocabularyType(modifier, UsageTermCollection.plantPartLabel)) {
-						text = text +  modifier.getTitleCache()+ ";";
+						text = text +  modifier.getTitleCache()+ SEMICOLON;
 						isPlantPartAbsent = false;
 					}
-					
+
 				}
 				if (isPlantPartAbsent) {
-					text = text + UsageTermCollection.notAvailableLabel + ";";
+					text = text + UsageTermCollection.notAvailableLabel + SEMICOLON;
 				}
-				
+
 				boolean isHumanGroupAbsent = true;
 				for (DefinedTerm modifier: ((CategoricalData) element).getModifiers()){
 					if(GetVocabularyType(modifier, UsageTermCollection.humanGroupLabel)) {
-						text = text +  modifier.getTitleCache()+ ";";
+						text = text +  modifier.getTitleCache()+ SEMICOLON;
 						isHumanGroupAbsent = false;
 					}
 				}
 				if (isHumanGroupAbsent) {
-					text = text + UsageTermCollection.notAvailableLabel + ";";
+					text = text + UsageTermCollection.notAvailableLabel + SEMICOLON;
 				}
-				
+
 				boolean isEthnicGroupAbsent = true;
 				for (DefinedTerm modifier: ((CategoricalData) element).getModifiers()){
 					if(GetVocabularyType(modifier, UsageTermCollection.ethnicGroupLabel)) {
-						text = text +  modifier.getTitleCache()+ ";";
+						text = text +  modifier.getTitleCache()+ SEMICOLON;
 						isEthnicGroupAbsent = false;
 					}
 				}
 				if (isEthnicGroupAbsent) {
-					text = text + UsageTermCollection.notAvailableLabel + ";";
+					text = text + UsageTermCollection.notAvailableLabel + SEMICOLON;
 				}
-				
+
 				boolean isCountryAbsent = true;
 				for (DefinedTerm modifier: ((CategoricalData) element).getModifiers()){
 					if(GetVocabularyType(modifier, UsageTermCollection.countryLabel)) {
-						text = text +  modifier.getTitleCache()+ ";";
+						text = text +  modifier.getTitleCache()+ SEMICOLON;
 						isCountryAbsent = false;
 					}
 				}
 				if (isCountryAbsent) {
-					text = text + UsageTermCollection.notAvailableLabel + ";";
+					text = text + UsageTermCollection.notAvailableLabel + SEMICOLON;
 				}
 			}
 			else {
-				text = text + UsageTermCollection.notAvailableLabel + ";" + UsageTermCollection.notAvailableLabel + ";" + UsageTermCollection.notAvailableLabel + ";" + UsageTermCollection.notAvailableLabel + ";";
+				text = text + UsageTermCollection.notAvailableLabel + SEMICOLON + UsageTermCollection.notAvailableLabel + SEMICOLON + UsageTermCollection.notAvailableLabel + SEMICOLON + UsageTermCollection.notAvailableLabel + SEMICOLON;
 			}
-		
+
 			if (text == null || text.length() == 0) {
-				text = "No data provided";
+				text = NO_DATA_PROVIDED;
 			}
 			else {
-				String[] textElements = text.split(";");
-				String dataportalString = textElements[0] + ";" + textElements[1] + ";" + textElements[5] + ";" + textElements[2] + ";" + textElements[3] + ";" + textElements[4] + ";" ;  
-				
+				String[] textElements = text.split(SEMICOLON);
+				String dataportalString = textElements[0] + SEMICOLON + textElements[1] + SEMICOLON + textElements[5] + SEMICOLON + textElements[2] + SEMICOLON + textElements[3] + SEMICOLON + textElements[4] + SEMICOLON ;
+
 				((CategoricalData)element).putModifyingText(CdmStore.getDefaultLanguage(), dataportalString);
 			}
 			return text;
 		}
-		
+
 		else if (element instanceof TextData) {
 			List<Language> languages = Arrays.asList(new Language[]{CdmStore.getDefaultLanguage()});
 			LanguageString languageString = ((TextData) element).getPreferredLanguageString(languages);
 			text = languageString != null ? languageString.getText() : null;
 			if (text == null || text.length() == 0) {
-				text = "No data provided";
+				text = NO_DATA_PROVIDED;
 			}
 		}
-		
+
 		else if (element instanceof FeatureNodeContainer){
 			text = ((FeatureNodeContainer)element).getFeature().getTitleCache();
 		}
@@ -158,8 +164,8 @@ public class UsesLabelProvider extends ColumnLabelProvider implements
 		return  text;
 	}
 
-	/** Function dertmining which vocabulary is the term part of 
-	 *  
+	/** Function dertmining which vocabulary is the term part of
+	 *
 	 * @param term
 	 * @param vocabularyExpected
 	 * @return
@@ -176,14 +182,14 @@ public class UsesLabelProvider extends ColumnLabelProvider implements
 		}
 	return false;
 	}
-	
+
 	/** {@inheritDoc} */
 	@Override
 	public StyledString getStyledText(Object element) {
 		return new StyledString(this.getText(element),
 				StyledString.QUALIFIER_STYLER);
 	}
-	
-	
+
+
 
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/UsesViewPart.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/UsesViewPart.java
index 481a39e8b..2e816f3de 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/UsesViewPart.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/UsesViewPart.java
@@ -15,7 +15,7 @@ import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Tree;
 
 import eu.etaxonomy.cdm.model.common.CdmBase;
-import eu.etaxonomy.taxeditor.editor.Messages;
+import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.editor.view.descriptive.DescriptionElementDragListener;
 import eu.etaxonomy.taxeditor.editor.view.descriptive.DescriptionElementDropAdapter;
 import eu.etaxonomy.taxeditor.editor.view.descriptive.DescriptionElementTransfer;
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/operation/CreateUseRecordOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/operation/CreateUseRecordOperation.java
index 28b7b2011..270eec97c 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/operation/CreateUseRecordOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/operation/CreateUseRecordOperation.java
@@ -34,7 +34,7 @@ import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
 public class CreateUseRecordOperation extends AbstractPostOperation {
 
 	/** Constant <code>ID="eu.etaxonomy.taxeditor.editor.view.use."{trunked}</code> */
-	public static final String ID = "eu.etaxonomy.taxeditor.editor.use.createUseRecord";
+	public static final String ID = "eu.etaxonomy.taxeditor.editor.use.createUseRecord"; //$NON-NLS-1$
 	private final DescriptionBase<?> description;
 	private final Feature feature;
 	private DescriptionElementBase element;
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/operation/CreateUseSummaryOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/operation/CreateUseSummaryOperation.java
index 80c85db61..ac2d6e9d9 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/operation/CreateUseSummaryOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/operation/CreateUseSummaryOperation.java
@@ -32,7 +32,7 @@ import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
  */
 public class CreateUseSummaryOperation extends AbstractPostOperation {
 
-	public static final String ID = "eu.etaxonomy.taxeditor.editor.use.createUseRecord";
+	public static final String ID = "eu.etaxonomy.taxeditor.editor.use.createUseRecord"; //$NON-NLS-1$
 
 	private final DescriptionBase<?> description;
 	private final Feature feature;
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/EntityClassMarkerField.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/EntityClassMarkerField.java
index 6a13ceb77..07449a2e8 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/EntityClassMarkerField.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/EntityClassMarkerField.java
@@ -13,10 +13,10 @@ public class EntityClassMarkerField extends MarkerField {
 	{
 		try {
 			Object value = item.getMarker().getAttribute(MarkerManager.ATTRIB_ENTITY_CLASS);
-			return value == null ? "" : value.toString();
+			return value == null ? "" : value.toString(); //$NON-NLS-1$
 		}
 		catch (CoreException e) {
-			throw new RuntimeException("Error while retrieving value for " + MarkerManager.ATTRIB_ENTITY_CLASS);
+			throw new RuntimeException("Error while retrieving value for " + MarkerManager.ATTRIB_ENTITY_CLASS); //$NON-NLS-1$
 		}
 	}
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/EntityIdMarkerField.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/EntityIdMarkerField.java
index 40ec33c62..397b3948d 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/EntityIdMarkerField.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/EntityIdMarkerField.java
@@ -13,10 +13,10 @@ public class EntityIdMarkerField extends MarkerField {
 	{
 		try {
 			Object value = item.getMarker().getAttribute(MarkerManager.ATTRIB_ENTITY_ID);
-			return value == null ? "" : value.toString();
+			return value == null ? "" : value.toString(); //$NON-NLS-1$
 		}
 		catch (CoreException e) {
-			throw new RuntimeException("Error while retrieving value for " + MarkerManager.ATTRIB_ENTITY_ID);
+			throw new RuntimeException("Error while retrieving value for " + MarkerManager.ATTRIB_ENTITY_ID); //$NON-NLS-1$
 		}
 	}
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/InvalidValueMarkerField.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/InvalidValueMarkerField.java
index b82324fe6..1d4f591c1 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/InvalidValueMarkerField.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/InvalidValueMarkerField.java
@@ -13,10 +13,10 @@ public class InvalidValueMarkerField extends MarkerField {
 	{
 		try {
 			Object value = item.getMarker().getAttribute(MarkerManager.ATTRIB_INVALID_VALUE);
-			return value == null ? "" : value.toString();
+			return value == null ? "" : value.toString(); //$NON-NLS-1$
 		}
 		catch (CoreException e) {
-			throw new RuntimeException("Error while retrieving value for " + MarkerManager.ATTRIB_INVALID_VALUE);
+			throw new RuntimeException("Error while retrieving value for " + MarkerManager.ATTRIB_INVALID_VALUE); //$NON-NLS-1$
 		}
 	}
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/UserFriendlyDescriptionMarkerField.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/UserFriendlyDescriptionMarkerField.java
index 0744a0665..649c66040 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/UserFriendlyDescriptionMarkerField.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/UserFriendlyDescriptionMarkerField.java
@@ -13,10 +13,10 @@ public class UserFriendlyDescriptionMarkerField extends MarkerField {
 	{
 		try {
 			Object value = item.getMarker().getAttribute(MarkerManager.ATTRIB_USER_FRIENDLY_DESCRIPTION);
-			return value == null ? "" : value.toString();
+			return value == null ? "" : value.toString(); //$NON-NLS-1$
 		}
 		catch (CoreException e) {
-			throw new RuntimeException("Error while retrieving value for " + MarkerManager.ATTRIB_USER_FRIENDLY_DESCRIPTION);
+			throw new RuntimeException("Error while retrieving value for " + MarkerManager.ATTRIB_USER_FRIENDLY_DESCRIPTION); //$NON-NLS-1$
 		}
 	}
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/UserFriendlyFieldNameMarkerField.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/UserFriendlyFieldNameMarkerField.java
index 97d3db524..7d25c861b 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/UserFriendlyFieldNameMarkerField.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/UserFriendlyFieldNameMarkerField.java
@@ -13,10 +13,10 @@ public class UserFriendlyFieldNameMarkerField extends MarkerField {
 	{
 		try {
 			Object value = item.getMarker().getAttribute(MarkerManager.ATTRIB_USER_FRIENDLY_FIELD_NAME);
-			return value == null ? "" : value.toString();
+			return value == null ? "" : value.toString(); //$NON-NLS-1$
 		}
 		catch (CoreException e) {
-			throw new RuntimeException("Error while retrieving value for " + MarkerManager.ATTRIB_USER_FRIENDLY_FIELD_NAME);
+			throw new RuntimeException("Error while retrieving value for " + MarkerManager.ATTRIB_USER_FRIENDLY_FIELD_NAME); //$NON-NLS-1$
 		}
 	}
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/UserFriendlyTypeNameMarkerField.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/UserFriendlyTypeNameMarkerField.java
index 38419dccb..66b664d91 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/UserFriendlyTypeNameMarkerField.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/UserFriendlyTypeNameMarkerField.java
@@ -13,10 +13,10 @@ public class UserFriendlyTypeNameMarkerField extends MarkerField {
 	{
 		try {
 			Object value = item.getMarker().getAttribute(MarkerManager.ATTRIB_USER_FRIENDLY_TYPE_NAME);
-			return value == null ? "" : value.toString();
+			return value == null ? "" : value.toString(); //$NON-NLS-1$
 		}
 		catch (CoreException e) {
-			throw new RuntimeException("Error while retrieving value for " + MarkerManager.ATTRIB_USER_FRIENDLY_TYPE_NAME);
+			throw new RuntimeException("Error while retrieving value for " + MarkerManager.ATTRIB_USER_FRIENDLY_TYPE_NAME); //$NON-NLS-1$
 		}
 	}
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/ValidationProblemsView.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/ValidationProblemsView.java
index d81f97bc5..2ef42daf0 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/ValidationProblemsView.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/ValidationProblemsView.java
@@ -6,7 +6,7 @@ public class ValidationProblemsView extends MarkerSupportView {
 
 	public ValidationProblemsView()
 	{
-		super("eu.etaxonomy.taxeditor.editor.validation.ValidationProblemsMarkerGenerator");
+		super("eu.etaxonomy.taxeditor.editor.validation.ValidationProblemsMarkerGenerator"); //$NON-NLS-1$
 	}
 
 	
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/ValidatorClassMarkerField.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/ValidatorClassMarkerField.java
index 9b8aa1249..fbcf2f169 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/ValidatorClassMarkerField.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/ValidatorClassMarkerField.java
@@ -13,10 +13,10 @@ public class ValidatorClassMarkerField extends MarkerField {
 	{
 		try {
 			Object value = item.getMarker().getAttribute(MarkerManager.ATTRIB_VALIDATOR_CLASS);
-			return value == null ? "" : value.toString();
+			return value == null ? "" : value.toString(); //$NON-NLS-1$
 		}
 		catch (CoreException e) {
-			throw new RuntimeException("Error while retrieving value for " + MarkerManager.ATTRIB_VALIDATOR_CLASS);
+			throw new RuntimeException("Error while retrieving value for " + MarkerManager.ATTRIB_VALIDATOR_CLASS); //$NON-NLS-1$
 		}
 	}
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/ValidatorMessageMarkerField.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/ValidatorMessageMarkerField.java
index 970f337c6..da28eb0ed 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/ValidatorMessageMarkerField.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/validation/ValidatorMessageMarkerField.java
@@ -13,10 +13,10 @@ public class ValidatorMessageMarkerField extends MarkerField {
 	{
 		try {
 			Object value = item.getMarker().getAttribute(MarkerManager.ATTRIB_VALIDATOR_MESSAGE);
-			return value == null ? "" : value.toString();
+			return value == null ? "" : value.toString(); //$NON-NLS-1$
 		}
 		catch (CoreException e) {
-			throw new RuntimeException("Error while retrieving value for " + MarkerManager.ATTRIB_VALIDATOR_MESSAGE);
+			throw new RuntimeException("Error while retrieving value for " + MarkerManager.ATTRIB_VALIDATOR_MESSAGE); //$NON-NLS-1$
 		}
 	}
 
